Skip to content

Phones & Softphones

All operations require authentication, except the one marked Public.

81 operationsv1/telephony/accessories · /telephony/softphone · /telephony/spare · +1
Agent setup

List spare phonesProduction

GET
/1.0/telephony/spare

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/telephony/spare \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get all available spare brandsProductionPublic

GET
/1.0/telephony/spare/brands

Response

200string[]successful operation

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/telephony/spare/brands
ResponseExample
[ "string"]

Get a spare phoneProduction

GET
/1.0/telephony/spare/{spare}

Path parameters

spare
required
string

The internal name of your spare

Response

200TelephonySpareWithIAMsuccessful operation
brand
read-only
string

Phone brand model

iam
read-only
ResourceMetadata

IAM resource metadata

macAddress
read-only
string

Mac address

protocol
read-only
ProtocolEnum

Phone protocol

Valuesmgcpsip

Example uses spare = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/spare/{spare} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "brand": "string", "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "macAddress": "string", "protocol": "mgcp"}

Delete a spare phoneProduction

DELETE
/1.0/telephony/spare/{spare}

Path parameters

spare
required
string

The internal name of your spare

Response

200—successful operation

Example uses spare = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/spare/{spare} \
  -H "authorization: Bearer $OVH_TOKEN"

List phones replaceable by the spareProduction

GET
/1.0/telephony/spare/{spare}/compatibleReplacement

Path parameters

spare
required
string

The internal name of your spare

Response

200string[]successful operation

Example uses spare = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/spare/{spare}/compatibleReplacement \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Replace a phone with the spareProduction

POST
/1.0/telephony/spare/{spare}/replace

Path parameters

spare
required
string

The internal name of your spare

Request body (required)

domain
required
string

The phone to replace by the spare

ip
required
ipv4

Public ip of the phone

Response

200—successful operation

Example uses spare = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/spare/{spare}/replace \
  -H "authorization: Bearer $OVH_TOKEN"

Get service informationProduction

GET
/1.0/telephony/spare/{spare}/serviceInfos

Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.

Path parameters

spare
required
string

The internal name of your spare

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses spare = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/spare/{spare}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationProduction

PUT
/1.0/telephony/spare/{spare}/serviceInfos

Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.

Path parameters

spare
required
string

The internal name of your spare

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses spare = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/spare/{spare}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

List phone devicesProduction

GET
/1.0/telephony/{billingAccount}/availableDevices

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200AvailableDevice[]successful operation
availableSlots
integer

Number of line slots still available on this device

brand
string

Brand of the device

description
string

Public description of the device

lines
AvailableDeviceLine[]

Lines currently assigned to this device

linesCount
integer

Number of lines currently assigned to this device

macAddress
string

MAC address of the device

maxLines
integer

Maximum number of lines the device can handle

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/availableDevices \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "availableSlots": 0, "brand": "string", "description": "string", "lines": [ { "billingAccount": "string", "description": "string", "isRoot": true, "numberInternational": "string" } ], "linesCount": 0, "macAddress": "string", "maxLines": 0 }]

Check for a new phone to activateProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/activateNewPhone

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/activateNewPhone \
  -H "authorization: Bearer $OVH_TOKEN"

Activate a new phoneProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/activateNewPhone

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/activateNewPhone \
  -H "authorization: Bearer $OVH_TOKEN"

Associate a deviceProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/associateDevice

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

ipAddress
ipv4

The public phone IP address allowed to get phone's configuration

macAddress
required
string

The mac address of the device you want to associate to the line (format: AABBCCDDEEFF)

slot
integer

The slot or line position on the device (from 1 to N. N is the maximum number of lines/slots available on the device)

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/associateDevice \
  -H "authorization: Bearer $OVH_TOKEN"

Dissociate a deviceProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/dissociateDevice

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

ipAddress
ipv4

The public phone IP address allowed to get phone's configuration

macAddress
required
string

The mac address of the device you want to dissociate from the line (format: AABBCCDDEEFF)

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/dissociateDevice \
  -H "authorization: Bearer $OVH_TOKEN"

List associable phonesProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/listAssociablePhones

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200LinePhoneAssociable[]successful operation
associatedLines
LinePhoneAssociableConfiguredLines[]

Current lines configured on the phone

brand
string

Brand name of the phone

maxLines
integer

Maximum quantity of lines managed by the phone

protocol
ProtocolEnum

Phone protocol

Valuesmgcpsip

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/listAssociablePhones \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "associatedLines": [ { "description": "string", "serviceName": "string" } ], "brand": "string", "maxLines": 0, "protocol": "mgcp" }]

Get the phoneProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/phone

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200Phonesuccessful operation
brand
read-only
string

Brand name

description
read-only
string

The phone description

macAddress
read-only
string

Mac Address

maxSimultaneousCalls
read-only
integer

Maximum simultaneous calls managed by the phone

maxline
read-only
integer

Maximum number of lines managed by a phone

mgcpIpRestriction
ip

The ip restriction of your MGCP phone

phoneConfiguration
read-only
PhoneConfigurationProperty[]

Current phone properties

protocol
read-only
ProtocolEnum

Phone protocol

Valuesmgcpsip
userPassword
read-only
stringpassword

The phone user password

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "brand": "string", "description": "string", "macAddress": "string", "maxSimultaneousCalls": 0, "maxline": 0, "mgcpIpRestriction": "192.0.2.0", "phoneConfiguration": [ { "default": "string", "description": "string", "enum": [ "string" ], "group": "string", "level": "admin", "maxlength": 0, "name": "string", "rangeValue": { "from": 0, "to": 0 }, "type": "boolean", "value": "string" } ], "protocol": "mgcp", "userPassword": "string"}

Update the phoneProduction

PUT
/1.0/telephony/{billingAccount}/line/{serviceName}/phone

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

brand
read-only
string

Brand name

description
read-only
string

The phone description

macAddress
read-only
string

Mac Address

maxSimultaneousCalls
read-only
integer

Maximum simultaneous calls managed by the phone

maxline
read-only
integer

Maximum number of lines managed by a phone

mgcpIpRestriction
ip

The ip restriction of your MGCP phone

phoneConfiguration
read-only
PhoneConfigurationProperty[]

Current phone properties

protocol
read-only
ProtocolEnum

Phone protocol

Valuesmgcpsip
userPassword
read-only
stringpassword

The phone user password

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone \
  -H "authorization: Bearer $OVH_TOKEN"

Get the phone admin credentialsProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/adminCredentials

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200PhoneCredentialssuccessful operation
login
string

Username to access the web interface of the phone

password
stringpassword

Password to access the web interface of the phone

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/adminCredentials \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "login": "string", "password": "string"}

Change the phone configurationProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/changePhoneConfiguration

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

autoReboot
boolean

Automatically reboot phone when applying the configuration

newConfigurations
SafeKeyValue_string[]

Name value pairs of provisioning options

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/changePhoneConfiguration \
  -H "authorization: Bearer $OVH_TOKEN"

List function keysProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/functionKey

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/functionKey \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a function keyProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/functionKey/{keyNum}

Path parameters

billingAccount
required
string

The name of your billingAccount

keyNum
required
integer

The number of the function key

serviceName
required
string
—

Response

200FunctionKeysuccessful operation
default
read-only
string

The default function used by the key

function
string

The function active on the key

keyNum
read-only
integer

The number of the function key

label
read-only
string

The key label

parameter
string

The function parameter

type
read-only
string

The key type

Example uses billingAccount = string, keyNum = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/functionKey/{keyNum} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "default": "string", "function": "string", "keyNum": 0, "label": "string", "parameter": "string", "type": "string"}

Update a function keyProduction

PUT
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/functionKey/{keyNum}

Path parameters

billingAccount
required
string

The name of your billingAccount

keyNum
required
integer

The number of the function key

serviceName
required
string
—

Request body (required)

default
read-only
string

The default function used by the key

function
string

The function active on the key

keyNum
read-only
integer

The number of the function key

label
read-only
string

The key label

parameter
string

The function parameter

type
read-only
string

The key type

Response

200—successful operation

Example uses billingAccount = string, keyNum = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/functionKey/{keyNum} \
  -H "authorization: Bearer $OVH_TOKEN"

List available functionsProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/functionKey/{keyNum}/availableFunction

Path parameters

billingAccount
required
string

The name of your billingAccount

keyNum
required
integer

The number of the function key

serviceName
required
string
—

Response

200string[]successful operation

Example uses billingAccount = string, keyNum = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/functionKey/{keyNum}/availableFunction \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

List exchange phonesProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/merchandiseAvailable

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200HardwareOffer[]successful operation
description
string

The telephony description

name
string

The telephony name

price
Price

Telephony price

url
string

An URL to telephony details

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/merchandiseAvailable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "url": "string" }]

List phonebooksProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/phonebook

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200string[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/phonebook \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a phonebookProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

serviceName
required
string
—

Response

200Phonebooksuccessful operation
bookKey
read-only
string

Identifier of the phonebook

isReadonly
boolean

Set if phonebook is readonly

name
string

Phonebook name

phoneKey
read-only
string

Phone key identifier between the phone and phonebooks

Example uses billingAccount = string, bookKey = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "bookKey": "string", "isReadonly": true, "name": "string", "phoneKey": "string"}

Create a phonebookProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/phonebook

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

name
required
string

Name of the wanted phonebook

Response

200stringsuccessful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/phonebook \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Delete a phonebookProduction

DELETE
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, bookKey = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a phonebookProduction

PUT
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

serviceName
required
string
—

Request body (required)

bookKey
read-only
string

Identifier of the phonebook

isReadonly
boolean

Set if phonebook is readonly

name
string

Phonebook name

phoneKey
read-only
string

Phone key identifier between the phone and phonebooks

Response

200—successful operation

Example uses billingAccount = string, bookKey = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey} \
  -H "authorization: Bearer $OVH_TOKEN"

Export contactsProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/export

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

serviceName
required
string
—

Query parameters

format
required
ContactsExportFormatsEnum

Format of the file

Valuescsv

Response

200PcsFilesuccessful operation
filename
read-only
string
—
status
read-only
PcsFileStatusEnum

File providing task status

Valuesdoingdoneerrortodo
url
read-only
string
—
urlExpirationDatetime
read-only
stringdate-time
—

Example uses billingAccount = string, bookKey = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/export \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}

Import contactsProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/import

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

serviceName
required
string
—

Request body (required)

documentId
required
string

ID of the /me/document file you want to import

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, bookKey = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/import \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

List contactsProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/phonebookContact

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

serviceName
required
string
—

Response

200integer[]successful operation

Example uses billingAccount = string, bookKey = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/phonebookContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a contactProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/phonebookContact/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

id
required
integer

Contact identifier

serviceName
required
string
—

Response

200PhonebookContactsuccessful operation
group
string

Group name of the phonebook

homeMobile
phoneNumber

Home mobile phone number of the contact

homePhone
phoneNumber

Home landline phone number of the contact

id
read-only
integer

Contact identifier

name
string

Contact name

surname
string

Contact surname

workMobile
phoneNumber

Mobile phone office number of the contact

workPhone
phoneNumber

Landline phone office number of the contact

Example uses billingAccount = string, bookKey = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/phonebookContact/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "group": "string", "homeMobile": "string", "homePhone": "string", "id": 0, "name": "string", "surname": "string", "workMobile": "string", "workPhone": "string"}

Create a contactProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/phonebookContact

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

serviceName
required
string
—

Request body (required)

group
required
string

Group name of the phonebook

homeMobile
phoneNumber

Home mobile phone number of the contact

homePhone
phoneNumber

Home landline phone number of the contact

name
required
string

Name of the contact

surname
required
string

Contact surname

workMobile
phoneNumber

Mobile phone office number of the contact

workPhone
phoneNumber

Landline phone office number of the contact

Response

200integersuccessful operation

Example uses billingAccount = string, bookKey = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/phonebookContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
0

Delete a contactProduction

DELETE
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/phonebookContact/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

id
required
integer

Contact identifier

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, bookKey = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/phonebookContact/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a contactProduction

PUT
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/phonebookContact/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

id
required
integer

Contact identifier

serviceName
required
string
—

Request body (required)

group
string

Group name of the phonebook

homeMobile
phoneNumber

Home mobile phone number of the contact

homePhone
phoneNumber

Home landline phone number of the contact

id
read-only
integer

Contact identifier

name
string

Contact name

surname
string

Contact surname

workMobile
phoneNumber

Mobile phone office number of the contact

workPhone
phoneNumber

Landline phone office number of the contact

Response

200—successful operation

Example uses billingAccount = string, bookKey = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/phonebook/{bookKey}/phonebookContact/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Reboot the phoneProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/reboot

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/reboot \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Refresh the phone screenProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/refreshScreen

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/refreshScreen \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

Reset the phone configurationProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/resetConfig

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

ip
required
ipv4

The public ip phone allowed for reset

Response

200ResetPhoneInfosuccessful operation
resetCodeInfo
ResetPhoneCodeInfo

Reset code informations

resetPhoneMethod
ResetPhoneMethodEnum

Which way had been used to reset the phone

Valuescodehttp

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/resetConfig \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "resetCodeInfo": { "activationCode": "string", "keyBook": "string", "serverURL": "string" }, "resetPhoneMethod": "code"}

List RMAsProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/rma

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200string[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/rma \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get an RMAProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/rma/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
string

Return merchandise authorisation identifier

serviceName
required
string
—

Response

200Rmasuccessful operation
cancellable
read-only
boolean

Is the RMA cancellable?

creationDatetime
read-only
stringdate-time

Creation datetime of the return merchandise authorisation ticket

equipmentReference
read-only
string

Merchandise reference

id
read-only
string

Return merchandise authorisation identifier

newMerchandise
read-only
string

New merchandise brand in case of exchange

offerTypeNew
read-only
RmaOfferTypeEnum

Offer type of the new merchandise in case of exchange

Valuesdepositloanpurchase
offerTypeOld
read-only
RmaOfferTypeEnum

Offer type of the return merchandise

Valuesdepositloanpurchase
process
RmaReplaceTypeEnum

Process determined for merchandise returned

ValueschangePhonephoneRestitutionundefined
receptionDatetime
read-only
stringdate-time

Reception datetime of the return merchandise authorisation ticket

shippingContact
Contact

Contact information related to the delivery shipping in case of exchange

status
read-only
RmaStatusEnum

Return merchandise authorisation step

Valuesclosedopenreceived
steps
read-only
RmaStep[]

Indicates the current status of the RMA with a list of steps

terminationDatetime
read-only
stringdate-time

Termination datetime of the return merchandise authorisation ticket

type
read-only
RmaTypeEnum

Typology process of merchandise return

Valuesafter sale equipment service exchangeafter sale phone service exchangeequipment restitutionfast exchangeold merchandise reception before exchangephone restitutionresends due to shipping lost by the carrierresends due to shipping not withdrawspecific return merchandise authorisationterminationunknown

Example uses billingAccount = string, id = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/rma/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "cancellable": true, "creationDatetime": "2024-01-01T12:00:00Z", "equipmentReference": "string", "id": "string", "newMerchandise": "string", "offerTypeNew": "deposit", "offerTypeOld": "deposit", "process": "changePhone", "receptionDatetime": "2024-01-01T12:00:00Z", "shippingContact": { "address": "string", "city": "string", "country": "ac", "email": "string", "firstname": "string", "name": "string", "organisation": "string", "phone": "string", "zip": "string" }, "status": "closed", "steps": [ { "description": "string", "doneDate": "2024-01-01T12:00:00Z", "infos": "string", "name": "dispatchJustification", "status": "done" } ], "terminationDatetime": "2024-01-01T12:00:00Z", "type": "after sale equipment service exchange"}

Create an RMAProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/rma

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

mondialRelayId
string

Use /supply/mondialRelay entry point to specify a relay point and ignore shipping contact address information entry.

newMerchandise
string

New merchandise brand in case of exchange

shippingContactId
integer

Shipping contact information id from /me entry point

type
required
RmaPublicTypeEnum

Typology process of merchandise return

Valueschange to another phone/equipment (restitution first and shipping then)restitution but keep the service enable

Response

200RmaReturnsuccessful operation
id
string

Voucher reference identifier of the return merchandise authorisation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/rma \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": "string"}

Cancel an RMAProduction

DELETE
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/rma/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
string

Return merchandise authorisation identifier

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, id = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/rma/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Update an RMAProduction

PUT
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/rma/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
string

Return merchandise authorisation identifier

serviceName
required
string
—

Request body (required)

cancellable
read-only
boolean

Is the RMA cancellable?

creationDatetime
read-only
stringdate-time

Creation datetime of the return merchandise authorisation ticket

equipmentReference
read-only
string

Merchandise reference

id
read-only
string

Return merchandise authorisation identifier

newMerchandise
read-only
string

New merchandise brand in case of exchange

offerTypeNew
read-only
RmaOfferTypeEnum

Offer type of the new merchandise in case of exchange

Valuesdepositloanpurchase
offerTypeOld
read-only
RmaOfferTypeEnum

Offer type of the return merchandise

Valuesdepositloanpurchase
process
RmaReplaceTypeEnum

Process determined for merchandise returned

ValueschangePhonephoneRestitutionundefined
receptionDatetime
read-only
stringdate-time

Reception datetime of the return merchandise authorisation ticket

shippingContact
Contact

Contact information related to the delivery shipping in case of exchange

status
read-only
RmaStatusEnum

Return merchandise authorisation step

Valuesclosedopenreceived
steps
read-only
RmaStep[]

Indicates the current status of the RMA with a list of steps

terminationDatetime
read-only
stringdate-time

Termination datetime of the return merchandise authorisation ticket

type
read-only
RmaTypeEnum

Typology process of merchandise return

Valuesafter sale equipment service exchangeafter sale phone service exchangeequipment restitutionfast exchangeold merchandise reception before exchangephone restitutionresends due to shipping lost by the carrierresends due to shipping not withdrawspecific return merchandise authorisationterminationunknown

Response

200—successful operation

Example uses billingAccount = string, id = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/rma/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Change the RMA typeProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/rma/{id}/changeType

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
string

Return merchandise authorisation identifier

serviceName
required
string
—

Request body (required)

type
required
RmaChangeTypeEnum

new RMA type

ValuesresiliatetoSip

Response

200—successful operation

Example uses billingAccount = string, id = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/rma/{id}/changeType \
  -H "authorization: Bearer $OVH_TOKEN"

Check phonebook supportProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/phone/supportsPhonebook

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200booleansuccessful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phone/supportsPhonebook \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
true

List phones with a free SIP slotDeprecated

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/phoneCanBeAssociable

Deprecated since May 9, 2017, will be removed on Nov 9, 2016 — use /telephony/{billingAccount}/line/{serviceName}/listAssociablePhones instead.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200LinePhone[]successful operation
brand
string

Brand name of the phone

description
string

The phone description

fees
Price

Setup fees

maxline
integer

Maximum number of lines managed by a phone

offerType
RmaOfferTypeEnum

Type of purchase

Valuesdepositloanpurchase
price
Price

Telephony price

protocol
ProtocolEnum

Phone protocol

Valuesmgcpsip

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/phoneCanBeAssociable \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "brand": "string", "description": "string", "fees": { "currencyCode": "AUD", "text": "string", "value": 0 }, "maxline": 0, "offerType": "deposit", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "protocol": "mgcp" }]

List unreturned old phonesProduction

GET
/1.0/telephony/{billingAccount}/oldPhone

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200OldPhone[]successful operation
mac
string

Mac address of the phone

model
string

Model of the phone

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/oldPhone \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "mac": "string", "model": "string" }]

List phonebooksProduction

GET
/1.0/telephony/{billingAccount}/phonebook

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/phonebook \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a phonebookProduction

GET
/1.0/telephony/{billingAccount}/phonebook/{bookKey}

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Response

200PhonebookMastersuccessful operation
bookKey
read-only
string

Identifier of the phonebook

name
string

Phone book name

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/phonebook/{bookKey} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "bookKey": "string", "name": "string"}

Create a phonebookProduction

POST
/1.0/telephony/{billingAccount}/phonebook

Path parameters

billingAccount
required
string

The name of your billingAccount

Request body (required)

name
required
string

Name of the wanted phonebook

Response

200stringsuccessful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/phonebook \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Delete a phonebookProduction

DELETE
/1.0/telephony/{billingAccount}/phonebook/{bookKey}

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Response

200—successful operation

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/phonebook/{bookKey} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a phonebookProduction

PUT
/1.0/telephony/{billingAccount}/phonebook/{bookKey}

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Request body (required)

bookKey
read-only
string

Identifier of the phonebook

name
string

Phone book name

Response

200—successful operation

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/phonebook/{bookKey} \
  -H "authorization: Bearer $OVH_TOKEN"

Export contactsProduction

GET
/1.0/telephony/{billingAccount}/phonebook/{bookKey}/export

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Query parameters

format
required
ContactsExportFormatsEnum

Format of the file

Valuescsv

Response

200PcsFilesuccessful operation
filename
read-only
string
—
status
read-only
PcsFileStatusEnum

File providing task status

Valuesdoingdoneerrortodo
url
read-only
string
—
urlExpirationDatetime
read-only
stringdate-time
—

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/phonebook/{bookKey}/export \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}

Import contactsProduction

POST
/1.0/telephony/{billingAccount}/phonebook/{bookKey}/import

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Request body (required)

documentId
required
string

ID of the /me/document file you want to import

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/phonebook/{bookKey}/import \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

List contactsProduction

GET
/1.0/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Response

200integer[]successful operation

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a contactProduction

GET
/1.0/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

id
required
integer

Contact identifier

Response

200PhonebookContactsuccessful operation
group
string

Group name of the phonebook

homeMobile
phoneNumber

Home mobile phone number of the contact

homePhone
phoneNumber

Home landline phone number of the contact

id
read-only
integer

Contact identifier

name
string

Contact name

surname
string

Contact surname

workMobile
phoneNumber

Mobile phone office number of the contact

workPhone
phoneNumber

Landline phone office number of the contact

Example uses billingAccount = string, bookKey = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "group": "string", "homeMobile": "string", "homePhone": "string", "id": 0, "name": "string", "surname": "string", "workMobile": "string", "workPhone": "string"}

Create a contactProduction

POST
/1.0/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

Request body (required)

group
required
string

Group name of the phonebook

homeMobile
phoneNumber

Home mobile phone number of the contact

homePhone
phoneNumber

Home landline phone number of the contact

name
required
string

Name of the contact

surname
required
string

Contact surname

workMobile
phoneNumber

Mobile phone office number of the contact

workPhone
phoneNumber

Landline phone office number of the contact

Response

200integersuccessful operation

Example uses billingAccount = string, bookKey = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
0

Delete a contactProduction

DELETE
/1.0/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

id
required
integer

Contact identifier

Response

200—successful operation

Example uses billingAccount = string, bookKey = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a contactProduction

PUT
/1.0/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

bookKey
required
string

Identifier of the phonebook

id
required
integer

Contact identifier

Request body (required)

group
string

Group name of the phonebook

homeMobile
phoneNumber

Home mobile phone number of the contact

homePhone
phoneNumber

Home landline phone number of the contact

id
read-only
integer

Contact identifier

name
string

Contact name

surname
string

Contact surname

workMobile
phoneNumber

Mobile phone office number of the contact

workPhone
phoneNumber

Landline phone office number of the contact

Response

200—successful operation

Example uses billingAccount = string, bookKey = string, id = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/phonebook/{bookKey}/phonebookContact/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Get all available accessoriesProduction

GET
/1.0/telephony/accessories

Query parameters

brand
string

Phone brand

country
required
ServiceNumberCountryEnum

The country

Valuesbechdeesfrgbuk

Response

200AccessoryOffer[]successful operation
description
string

The accessory description

name
string

The accessory name

price
Price

Accessory price

url
string

An URL to accessory details

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/telephony/accessories \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "url": "string" }]

List softphone themesProduction

GET
/1.0/telephony/softphone/themes

Returns the identifiers of the available softphone themes.

Response

200integer[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/telephony/softphone/themes \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a softphone themeProduction

GET
/1.0/telephony/softphone/themes/{themeId}

Returns the softphone theme and its main color code.

Path parameters

themeId
required
integer

Theme ID

Response

200SoftphoneThemesuccessful operation
color
read-only
string

Theme main color code

themeId
read-only
integer

Theme ID

Example uses themeId = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/softphone/themes/{themeId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "color": "string", "themeId": 0}

Get the softphone beta statusProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/softphone/beta

Returns whether the softphone beta is enabled on the line.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200SoftphoneBetaStatussuccessful operation
enabled
required
boolean

Whether Softphone beta is enabled or disabled

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/softphone/beta \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "enabled": true}

Update the softphone beta statusProduction

PUT
/1.0/telephony/{billingAccount}/line/{serviceName}/softphone/beta

Enables or disables the softphone beta on the line.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

enabled
required
boolean

Whether Softphone beta is enabled or disabled

Response

200SoftphoneBetaStatussuccessful operation
enabled
required
boolean

Whether Softphone beta is enabled or disabled

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/softphone/beta \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "enabled": true}

List softphone devicesProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/softphone/devices

Returns the softphone devices registered on the line: name, operating system, user agent and last registration date.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200SoftphoneDevices[]successful operation
id
read-only
string

Device ID

name
read-only
string

Device name

os
read-only
string

Device operating system

updateTime
read-only
stringdate-time

Last device register date

userAgent
read-only
string

Device user agent

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/softphone/devices \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "id": "string", "name": "string", "os": "string", "updateTime": "2024-01-01T12:00:00Z", "userAgent": "string" }]

Disconnect all softphone devicesProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/softphone/devices/disconnect

Disconnects every softphone device registered on the line.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/softphone/devices/disconnect \
  -H "authorization: Bearer $OVH_TOKEN"

Delete a softphone deviceProduction

DELETE
/1.0/telephony/{billingAccount}/line/{serviceName}/softphone/devices/{deviceId}

Deletes a softphone device registered on the line.

Path parameters

billingAccount
required
string

The name of your billingAccount

deviceId
required
string

Device ID

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, deviceId = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/softphone/devices/{deviceId} \
  -H "authorization: Bearer $OVH_TOKEN"

Get the line softphone statusProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/softphone/status

Returns the softphone status of the line: eligibility, beta activation and infrastructure.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200SoftphoneStatussuccessful operation
activation
read-only
boolean

Line beta softphone activation status

eligibility
read-only
boolean

Line eligibility to softphone

infrastructure
read-only
SoftphoneInfrastructureEnum

Line infrastructure

ValuesLEGACYNOWI

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/softphone/status \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "activation": true, "eligibility": true, "infrastructure": "LEGACY"}

Get the line softphone themeProduction

GET
/1.0/telephony/{billingAccount}/line/{serviceName}/softphone/theme

Returns the softphone theme of the line and its main color code.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200SoftphoneThemesuccessful operation
color
read-only
string

Theme main color code

themeId
read-only
integer

Theme ID

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/softphone/theme \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "color": "string", "themeId": 0}

Update the line softphone themeProduction

PUT
/1.0/telephony/{billingAccount}/line/{serviceName}/softphone/theme

Sets the softphone theme of the line from a theme identifier.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

themeId
required
integer

Theme ID

Response

200SoftphoneThemesuccessful operation
color
read-only
string

Theme main color code

themeId
read-only
integer

Theme ID

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/softphone/theme \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "color": "string", "themeId": 0}

Delete the line softphone themeProduction

DELETE
/1.0/telephony/{billingAccount}/line/{serviceName}/softphone/theme

Deletes the softphone theme of the line.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/softphone/theme \
  -H "authorization: Bearer $OVH_TOKEN"

Generate a provisioning tokenProduction

POST
/1.0/telephony/{billingAccount}/line/{serviceName}/softphone/token

Generates a token to register a softphone device on the line, and sends it to the given email address.

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

email
string

Email to receive the generated provisioning token

Response

200SoftphoneTokensuccessful operation
token
read-only
stringpassword

Provisioning token used to register device

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/line/{serviceName}/softphone/token \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "token": "string"}

Get the billing account softphone themeProduction

GET
/1.0/telephony/{billingAccount}/softphone/theme

Returns the softphone theme of the billing account and its main color code.

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200SoftphoneThemesuccessful operation
color
read-only
string

Theme main color code

themeId
read-only
integer

Theme ID

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/softphone/theme \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "color": "string", "themeId": 0}

Update the billing account softphone themeProduction

PUT
/1.0/telephony/{billingAccount}/softphone/theme

Sets the softphone theme of the billing account from a theme identifier.

Path parameters

billingAccount
required
string

The name of your billingAccount

Request body (required)

themeId
required
integer

Theme ID

Response

200SoftphoneThemesuccessful operation
color
read-only
string

Theme main color code

themeId
read-only
integer

Theme ID

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/softphone/theme \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "color": "string", "themeId": 0}